Index: utils/CI/sette/BATCH_TEMPLATE/batch-X64_ADA_DEBUG
===================================================================
--- utils/CI/sette/BATCH_TEMPLATE/batch-X64_ADA_DEBUG	(revision 9735)
+++ utils/CI/sette/BATCH_TEMPLATE/batch-X64_ADA_DEBUG	(revision 9744)
@@ -12,4 +12,5 @@
 # time
 # @ wall_clock_limit = 00:59:00
+## @ class = debug
 # @ queue
 
Index: utils/CI/sette/sette.sh
===================================================================
--- utils/CI/sette/sette.sh	(revision 9735)
+++ utils/CI/sette/sette.sh	(revision 9744)
@@ -1184,10 +1184,11 @@
     set_namelist namelist_cfg cn_exp \"S12_LONG\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 100
-    set_namelist namelist_cfg nn_stock 50
-    set_namelist namelist_cfg jpni 4
-    set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_ice_cfg ln_icediachk .true.
+    set_namelist namelist_cfg nn_itend 240
+    set_namelist namelist_cfg nn_stock 120
+    set_namelist namelist_cfg nn_date0 20020101
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    #set_namelist namelist_ice_cfg ln_icediachk .true.
     if [ ${USING_MPMD} == "yes" ] ; then
        set_xio_using_server iodef.xml true
@@ -1203,7 +1204,7 @@
     cd ${EXE_DIR}
     set_namelist namelist_cfg cn_exp \"S12_SHORT\"
-    set_namelist namelist_cfg nn_it000 51
-    set_namelist namelist_cfg nn_itend 100
-    set_namelist namelist_cfg nn_stock 50
+    set_namelist namelist_cfg nn_it000 121
+    set_namelist namelist_cfg nn_itend 240
+    set_namelist namelist_cfg nn_stock 120
     set_namelist namelist_cfg ln_rstart .true.
     set_namelist namelist_cfg nn_rstctl 2
@@ -1211,11 +1212,11 @@
     set_namelist namelist_cfg jpnj 8
     set_namelist namelist_cfg jpnij 32
-    set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000050_restart\"
-    set_namelist namelist_ice_cfg cn_icerst_in \"S12_LONG_00000050_restart_ice\"
+    set_namelist namelist_cfg cn_ocerst_in \"S12_LONG_00000120_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"S12_LONG_00000120_restart_ice\"
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/S12_LONG_00000050_restart_${L_NPROC}.nc .
-        ln -sf ../LONG/S12_LONG_00000050_restart_ice_${L_NPROC}.nc .
+        ln -sf ../LONG/S12_LONG_00000120_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/S12_LONG_00000120_restart_ice_${L_NPROC}.nc .
     done
     if [ ${USING_MPMD} == "yes" ] ; then
@@ -1242,5 +1243,6 @@
     set_namelist namelist_cfg cn_exp \"S12_48\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_itend 120
+    set_namelist namelist_cfg nn_date0 20020101
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
@@ -1265,5 +1267,6 @@
     set_namelist namelist_cfg cn_exp \"S12_84\"
     set_namelist namelist_cfg nn_it000 1
-    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_itend 120
+    set_namelist namelist_cfg nn_date0 20020101
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
Index: utils/CI/sette/sette_rpt.sh
===================================================================
--- utils/CI/sette/sette_rpt.sh	(revision 9735)
+++ utils/CI/sette/sette_rpt.sh	(revision 9744)
@@ -288,5 +288,5 @@
     dorv=`ls -1rt $vdir/$nam/$mach/ | tail -1l `
     dorv=`echo $dorv | sed -e 's:.*/::'`
-    rep1=`ls -1rt $vdir/$nam/$mach/$dorv/ | grep REPRO | tail -2l | head -1 `
+    rep1=`ls -1rt $vdir/$nam/$mach/$dorv/ | grep LONG | head -1 `
     f1o=$vdir/$nam/$mach/$dorv/$rep1/ocean.output
     if  [ ! -f $f1o ] ; then
Index: utils/CI/sette/sette_test-cases.sh
===================================================================
--- utils/CI/sette/sette_test-cases.sh	(revision 9735)
+++ utils/CI/sette/sette_test-cases.sh	(revision 9744)
@@ -91,5 +91,5 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=X64_ADA_DEBUG
+COMPILER=X64_ADA
 
 export BATCH_COMMAND_PAR="llsubmit"
@@ -141,10 +141,10 @@
 # LOCK_EXCHANGE  : 2
 # VORTEX         : 3
-# WAD            : 4       
-# SAS_BIPER      : 5
-# ISOMIP         : 6
-
-
-for config in 1 2 3 4 5 6 
+# SAS_BIPER      : 4
+# ISOMIP         : 5
+# WAD
+
+
+for config in 1 2 3 4 5 
 do
 
@@ -413,5 +413,5 @@
 # SAS_BIPER
 # ---------
-if [ ${config} -eq 5 ] ;  then 
+if [ ${config} -eq 4 ] ;  then 
 ## Restartability tests for SAS_BIPER
     export TEST_NAME="LONG"
@@ -545,5 +545,5 @@
 # ISOMIP
 # ------
-if [ ${config} -eq 6 ] ;  then
+if [ ${config} -eq 5 ] ;  then
 ## Restartability tests
     export TEST_NAME="LONG"