Index: NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 9750)
+++ NEMO/trunk/cfgs/ORCA2_OFF_PISCES/EXPREF/namelist_cfg	(revision 9751)
@@ -1,6 +1,6 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!!             ORCA2 - OFF - PISCES configuration                     !!
+!!               ORCA2 - OFF - TRC configuration                     !!
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -20,9 +20,9 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   cn_exp      =  "PISCES"   !  experience name
+   cn_exp      =  "TRACERS"  !  experience name
    nn_it000    =       1     !  first time step
-   nn_itend    =    1460     !  last  time step (std 5475)
-   nn_date0    =  010101     !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
-   nn_stock    =    1460     !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_itend    =    14600    !  last  time step (std 5475)
+   nn_date0    =  19600101   !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
+   nn_stock    =    14600    !  frequency of creation of a restart file (modulo referenced to 1)
    ln_mskland  = .true.      !  mask land points in NetCDF outputs (costly: + ~15%)
    ln_cfmeta   = .true.      !  output additional data to netCDF files required for compliance with the CF metadata standard
@@ -94,4 +94,5 @@
                      ! Type of air-sea fluxes 
    ln_usr      = .true.   !  user defined formulation                  (T => check usrdef_sbc)
+   ln_traqsr   = .true.    !  Light penetration in the ocean            (T => fill namtra_qsr)
 /
 !-----------------------------------------------------------------------
@@ -118,4 +119,5 @@
 &namtra_qsr    !   penetrative solar radiation                          (ln_traqsr =T)
 !-----------------------------------------------------------------------
+   rn_si0      =   0.35       !  RGB & 2BD: shortess depth of extinction
 /
 !-----------------------------------------------------------------------
@@ -422,5 +424,4 @@
 !-----------------------------------------------------------------------
 /
-
 !!======================================================================
 !!               ***  Observation & Assimilation  ***                 !!
Index: NEMO/trunk/src/OFF/nemogcm.F90
===================================================================
--- NEMO/trunk/src/OFF/nemogcm.F90	(revision 9750)
+++ NEMO/trunk/src/OFF/nemogcm.F90	(revision 9751)
@@ -30,4 +30,5 @@
    USE ldftra         ! lateral diffusivity setting    (ldf_tra_init routine)
    USE ldfslp         ! slopes of neutral surfaces     (ldf_slp_init routine)
+   USE traqsr         ! solar radiation penetration    (tra_qsr_init routine)
    USE trabbl         ! bottom boundary layer          (tra_bbl_init routine)
    USE traldf         ! lateral physics                (tra_ldf_init routine)
@@ -280,4 +281,5 @@
                            CALL tra_ldf_init    ! lateral mixing
       IF( l_ldfslp     )   CALL ldf_slp_init    ! slope of lateral mixing
+      IF( ln_traqsr    )   CALL tra_qsr_init    ! penetrative solar radiation
       IF( ln_trabbl    )   CALL tra_bbl_init    ! advective (and/or diffusive) bottom boundary layer scheme
 
Index: NEMO/trunk/src/TOP/PISCES/P4Z/p4zbio.F90
===================================================================
--- NEMO/trunk/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 9750)
+++ NEMO/trunk/src/TOP/PISCES/P4Z/p4zbio.F90	(revision 9751)
@@ -99,10 +99,10 @@
       ENDIF
       !
-      CALL p4z_agg  ( kt, knt )     ! Aggregation of particles
+      CALL p4z_agg     ( kt, knt )     ! Aggregation of particles
       CALL p4z_rem     ( kt, knt )     ! remineralization terms of organic matter+scavenging of Fe
       CALL p4z_poc     ( kt, knt )     ! Remineralization of organic particles
-      IF( ln_ligand ) THEN
-        CALL p4z_ligand( kt, knt )
-      ENDIF
+      !
+      IF( ln_ligand )  &
+      & CALL p4z_ligand( kt, knt )
       !                                                             !
       IF(ln_ctl)   THEN  ! print mean trends (used for debugging)
Index: NEMO/trunk/src/TOP/PISCES/P4Z/p4zlys.F90
===================================================================
--- NEMO/trunk/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 9750)
+++ NEMO/trunk/src/TOP/PISCES/P4Z/p4zlys.F90	(revision 9751)
@@ -123,8 +123,8 @@
 
       IF( lk_iomput .AND. knt == nrdttrc ) THEN
-         IF( iom_use( "PH"     ) ) CALL iom_put( "PH"    , -1. * LOG10( hi(:,:,:) )          * tmask(:,:,:) )
-         IF( iom_use( "CO3"    ) ) CALL iom_put( "CO3"   , zco3(:,:,:)    * 1.e+3            * tmask(:,:,:) )
-         IF( iom_use( "CO3sat" ) ) CALL iom_put( "CO3sat", zco3sat(:,:,:) * 1.e+3            * tmask(:,:,:) )
-         IF( iom_use( "DCAL"   ) ) CALL iom_put( "DCAL"  , zcaldiss(:,:,:) * 1.e+3 * rfact2r * tmask(:,:,:) )
+         IF( iom_use( "PH"     ) ) CALL iom_put( "PH"    , -1. * LOG10( MAX( hi(:,:,:), rtrn ) ) * tmask(:,:,:) )
+         IF( iom_use( "CO3"    ) ) CALL iom_put( "CO3"   , zco3(:,:,:)     * 1.e+3               * tmask(:,:,:) )
+         IF( iom_use( "CO3sat" ) ) CALL iom_put( "CO3sat", zco3sat(:,:,:)  * 1.e+3               * tmask(:,:,:) )
+         IF( iom_use( "DCAL"   ) ) CALL iom_put( "DCAL"  , zcaldiss(:,:,:) * 1.e+3 * rfact2r     * tmask(:,:,:) )
       ENDIF
       !
Index: NEMO/trunk/src/TOP/PISCES/P4Z/p4zsms.F90
===================================================================
--- NEMO/trunk/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 9750)
+++ NEMO/trunk/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 9751)
@@ -282,4 +282,5 @@
             CALL iom_get( numrtr, jpdom_autoglo, 'PH' , hi(:,:,:)  )
          ELSE
+            CALL p4z_che                              ! initialize the chemical constants
             CALL ahini_for_at(hi)
          ENDIF