Index: NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg	(revision 9742)
+++ NEMO/trunk/cfgs/AGRIF_ICE/EXPREF/2_namelist_cfg	(revision 9770)
@@ -1,6 +1,7 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
+!! NEMO/OPA  Configuration namelist : overwrite some defaults values defined in SHARED/1_namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!                         AGRIF ICE configuration                      !
+!                       ORCA2 - SI3 configuration                      !
+
 !!======================================================================
 !!              ***  Domain & Run management namelists  ***           !!
@@ -12,7 +13,4 @@
 !!   namtsd       data: temperature & salinity                          (default: OFF)
 !!   namcrs       coarsened grid (for outputs and/or TOP)               (ln_crs =T)
-!!   namc1d       1D configuration options                              ("key_c1d")
-!!   namc1d_dyndmp 1D newtonian damping applied on currents             ("key_c1d")
-!!   namc1d_uvd   1D data (currents)                                    ("key_c1d")
 !!======================================================================
 !
@@ -22,5 +20,5 @@
    cn_exp      = "Nordic"  !  experience name 
    nn_it000    =    1      !  first time step
-   nn_itend    =  240      !  last  time step
+   nn_itend    =  300      !  last  time step
    nn_istate   =      0    !  output the initial state (1) or not (0)
    ln_clobber  = .true.    !  clobber (overwrite) an existing file
@@ -31,5 +29,5 @@
    ln_linssh   = .false.   !  =T  linear free surface  ==>>  model level are fixed in time
    !
-   rn_rdt      = 480.     !  time step for the dynamics (and tracer if nn_acc=0)
+   rn_rdt      = 1440.     !  time step for the dynamics (and tracer if nn_acc=0)
 /
 !-----------------------------------------------------------------------
@@ -37,5 +35,5 @@
 !-----------------------------------------------------------------------
    ln_read_cfg = .true.    !  (=T) read the domain configuration file
-      cn_domcfg = "ORCA_R017_zps_domcfg_agrif"    ! domain configuration filename
+      cn_domcfg = "ORCA_R05_zps_domcfg_agrif"    ! domain configuration filename
 /
 !-----------------------------------------------------------------------
@@ -53,4 +51,5 @@
    sn_sal = 'data_1m_salinity_nomask'             ,     -1      ,'vosaline',   .true.    , .true. , 'yearly'  ,    ''    ,    ''    ,    ''
 /
+
 !!======================================================================
 !!            ***  Surface Boundary Condition namelists  ***          !!
@@ -95,14 +94,14 @@
    !           !  file name              ! frequency (hours) ! variable  ! time interp.!  clim  ! 'yearly'/ !          weights filename            ! rotation ! land/sea mask !
    !           !                         !  (if <0  months)  !   name    !   (logical) !  (T/F) ! 'monthly' !                                      ! pairing  !    filename   !
-   sn_wndi     = 'u_10.15JUNE2009_fill'       ,    6         , 'U_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bicub.nc'     , 'Uwnd'   , ''
-   sn_wndj     = 'v_10.15JUNE2009_fill'       ,    6         , 'V_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bicub.nc'     , 'Vwnd'   , ''
-   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'SWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'LWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_tair     = 't_10.15JUNE2009_fill'       ,    6         , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_humi     = 'q_10.15JUNE2009_fill'       ,    6         , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1         , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1         , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_slp      = 'slp.15JUNE2009_fill'        ,    6         , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
-   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic2_bilin.nc'     , ''       , ''
+   sn_wndi     = 'u_10.15JUNE2009_fill'       ,    6         , 'U_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc'     , 'Uwnd'   , ''
+   sn_wndj     = 'v_10.15JUNE2009_fill'       ,    6         , 'V_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bicub.nc'     , 'Vwnd'   , ''
+   sn_qsr      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'SWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_qlw      = 'ncar_rad.15JUNE2009_fill'   ,   24         , 'LWDN_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_tair     = 't_10.15JUNE2009_fill'       ,    6         , 'T_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_humi     = 'q_10.15JUNE2009_fill'       ,    6         , 'Q_10_MOD',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_prec     = 'ncar_precip.15JUNE2009_fill',   -1         , 'PRC_MOD1',   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'     , ''       , ''
+   sn_snow     = 'ncar_precip.15JUNE2009_fill',   -1         , 'SNOW'    ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
+   sn_slp      = 'slp.15JUNE2009_fill'        ,    6         , 'SLP'     ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
+   sn_tdif     = 'taudif_core'                ,   24         , 'taudif'  ,   .false.   , .true. , 'yearly'  , 'weights_core2_nordic1_bilin.nc'  , ''       , ''
 
 /
@@ -137,4 +136,5 @@
    !     ===>>  forced deactivation in icbini.F90 
 /
+
 !!======================================================================
 !!               ***  Lateral boundary condition  ***                 !!
@@ -157,7 +157,7 @@
 !-----------------------------------------------------------------------
    ln_spc_dyn    = .true.  !  use 0 as special value for dynamics
-   rn_sponge_tra =  480.   !  coefficient for tracer   sponge layer [m2/s]
-   rn_sponge_dyn =  480.   !  coefficient for dynamics sponge layer [m2/s]
-   ln_chk_bathy  = .false. !  =T  check the parent bathymetry
+   rn_sponge_tra = 1440.   !  coefficient for tracer   sponge layer [m2/s]
+   rn_sponge_dyn = 1440.   !  coefficient for dynamics sponge layer [m2/s]
+   ln_chk_bathy  = .true.  !  =T  check the parent bathymetry
 /
 !-----------------------------------------------------------------------
@@ -185,4 +185,5 @@
       rn_gambbl   =  10.      !  advective bbl coefficient                 [s]
 /
+
 !!======================================================================
 !!                        Tracer (T & S) namelists                    !!
@@ -227,4 +228,5 @@
    !  not used in this zoom
 /
+
 !!======================================================================
 !!                      ***  Dynamics namelists  ***                  !!
@@ -268,4 +270,5 @@
    ln_dynldf_OFF =  .true.    !  No operator (i.e. no explicit diffusion)
 /
+
 !!======================================================================
 !!                     vertical physics namelists                     !!
@@ -304,4 +307,5 @@
 !-----------------------------------------------------------------------
 /
+
 !!======================================================================
 !!                  ***  Diagnostics namelists  ***                   !!
@@ -320,4 +324,5 @@
 !!======================================================================
 !
+
 !!======================================================================
 !!               ***  Observation & Assimilation  ***                 !!
@@ -335,4 +340,5 @@
 !!======================================================================
 !
+!
 !-----------------------------------------------------------------------
 &nammpp        !   Massively Parallel Processing                        ("key_mpp_mpi")